=== debian/changelog ===
orthanc-python (1.0+ds-2build2) groovy; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 19:23:51 +0000

orthanc-python (1.0+ds-2build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:44:20 +0100

orthanc-python (1.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 18 Apr 2020 08:23:02 +0200

orthanc-python (1.0+ds-1) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * Initial release. (Closes: #955495)

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 03 Apr 2020 22:28:20 +0200
