=== debian/control ===
Source: orthanc-python
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libboost-all-dev,
               libjsoncpp-dev,
               libpython3-dev,
               python3-dev,
               pkg-config,
               unzip
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-python
Vcs-Git: https://salsa.debian.org/med-team/orthanc-python.git
Homepage: https://book.orthanc-server.com/plugins/python.html
Rules-Requires-Root: no

Package: orthanc-python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.5.7)
Suggests: python3
Description: Develop plugins for Orthanc using the Python programming language
 This plugin can be used to write Orthanc plugins using the Python programming
 language instead of the more complex C/C++ programming languages. It can be
 used to gain access to Python modules directly in Orthanc.
 .
 This plugin can be of great help to anyone wishing to automate her imaging
 workflow, to design/train new machine learning algorithms, or to deploy AI
 systems directly in clinical setups.
