## orthanc-python 3.1%2Bds

=== debian/changelog ===
orthanc-python (3.1+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 22 Jan 2021 10:57:34 +0100

orthanc-python (3.0+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 09 Dec 2020 18:14:23 +0100

orthanc-python (2.0+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 17 Oct 2020 17:55:27 +0200
