=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc-python
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
@@ -8,11 +7,12 @@
                debhelper-compat (= 12),
                libboost-all-dev,
                libjsoncpp-dev,
+               liborthancframework-dev,
                libpython3-dev,
                python3-dev,
                pkg-config,
                unzip
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-python
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-python.git
 Homepage: https://book.orthanc-server.com/plugins/python.html
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.5.7)
+         orthanc (>= 1.8.1)
 Suggests: python3
 Description: Develop plugins for Orthanc using the Python programming language
  This plugin can be used to write Orthanc plugins using the Python programming
