=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	-DSTATIC_BUILD:BOOL=OFF \
         -DDEB_VERSION=$(DEB_VERSION) \
         -DPYTHON_VERSION=$(PYTHON_VERSION) \
+        -DORTHANC_FRAMEWORK_SOURCE=system \
         -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
