## orthanc-python 3.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancPython)
 
-set(PLUGIN_VERSION "3.1")
+set(PLUGIN_VERSION "3.4")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.8.2")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.7")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -43,10 +43,15 @@
 # Download and setup the Orthanc framework
 include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)
 
-include_directories(${ORTHANC_FRAMEWORK_ROOT})
-
 if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
-  #link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})
+  include(FindBoost)
+  find_package(Boost COMPONENTS filesystem regex thread)
+
+  if (NOT Boost_FOUND)
+    message(FATAL_ERROR "Unable to locate Boost on this system")
+  endif()
+
+  link_libraries(${Boost_LIBRARIES} jsoncpp)
 
 else()
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkParameters.cmake)
@@ -56,6 +61,7 @@
   #set(ENABLE_MODULE_DICOM OFF CACHE INTERNAL "")
   
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
+  include_directories(${ORTHANC_FRAMEWORK_ROOT})
 endif()
 
 
@@ -159,6 +165,8 @@
 
 add_library(OrthancPython SHARED
   Sources/Autogenerated/sdk.cpp
+  Sources/DicomScpCallbacks.cpp
+  Sources/ICallbackRegistration.cpp
   Sources/IncomingHttpRequestFilter.cpp
   Sources/OnChangeCallback.cpp
   Sources/OnStoredInstanceCallback.cpp
@@ -169,6 +177,7 @@
   Sources/PythonObject.cpp
   Sources/PythonString.cpp
   Sources/RestCallbacks.cpp
+  Sources/StorageArea.cpp
 
   # Third-party sources
   ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginCppWrapper.cpp
