=== debian/changelog ===
orthanc-python (3.4+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Sep 2021 15:55:00 +0200

orthanc-python (3.3+ds-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 12 Aug 2021 20:55:31 +0200

orthanc-python (3.2+ds-2) experimental; urgency=medium

  * Added missing "Built-Using" attribute

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 08 Jul 2021 16:30:09 +0200

orthanc-python (3.2+ds-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 08 Jul 2021 15:41:37 +0200
