=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-dev,
                pkg-config,
                unzip
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-python
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-python.git
 Homepage: https://book.orthanc-server.com/plugins/python.html
@@ -23,6 +23,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          orthanc (>= 1.8.1)
+Built-Using: ${orthancframework:Built-Using}
 Suggests: python3
 Description: Develop plugins for Orthanc using the Python programming language
  This plugin can be used to write Orthanc plugins using the Python programming
