## orthanc-python 4.0%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancPython)
 
-set(PLUGIN_VERSION "3.4")
+set(PLUGIN_VERSION "4.0")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.7")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.10.0")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -33,9 +33,9 @@
 set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_FRAMEWORK_DEFAULT_VERSION}" CACHE STRING "Version of the Orthanc framework")
 set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
 set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")
+set(USE_FRAMEWORK_ORTHANC_SDK OFF CACHE BOOL "Whether to use the SDK from the Orthanc sources (for developers only, to support new features of the SDK that are still pending in the mainline)")
 
 # Advanced parameters to fine-tune linking against system libraries
-set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
 set(ORTHANC_FRAMEWORK_STATIC OFF CACHE BOOL "If linking against the Orthanc framework system library, indicates whether this library was statically linked")
 mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)
 
@@ -151,9 +151,15 @@
 endif()
 
 
-include_directories(
-  ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.8.1
-  )
+if (USE_FRAMEWORK_ORTHANC_SDK)
+  include_directories(
+    ${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include
+    )
+else()
+  include_directories(
+    ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.10.0
+    )
+endif()
 
 add_definitions(
   -DHAS_ORTHANC_EXCEPTION=0
@@ -168,6 +174,7 @@
   Sources/DicomScpCallbacks.cpp
   Sources/ICallbackRegistration.cpp
   Sources/IncomingHttpRequestFilter.cpp
+  Sources/IncomingInstanceFilter.cpp
   Sources/OnChangeCallback.cpp
   Sources/OnStoredInstanceCallback.cpp
   Sources/Plugin.cpp
@@ -176,6 +183,7 @@
   Sources/PythonModule.cpp
   Sources/PythonObject.cpp
   Sources/PythonString.cpp
+  Sources/ReceivedInstanceCallback.cpp
   Sources/RestCallbacks.cpp
   Sources/StorageArea.cpp
