## orthanc-python 4.0+ds

=== debian/changelog ===
orthanc-python (4.0+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 23 Feb 2022 20:33:19 +0100

orthanc-python (3.4+ds-2) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 19:17:11 +0100
