=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.8.1)
+         orthanc (>= 1.10.0+dfsg-1)
 Built-Using: ${orthancframework:Built-Using}
 Suggests: python3
 Description: Develop plugins for Orthanc using the Python programming language
