=== debian/changelog ===
orthanc-python (4.1+ds-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:07:37 +1100

orthanc-python (4.1+ds-2ubuntu1) noble; urgency=medium

  * Remove wrong hard-coded test dep on libcurl4.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 26 Mar 2024 08:14:13 +0000

orthanc-python (4.1+ds-2build3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:35 +0100

orthanc-python (4.1+ds-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:36:50 +0000

orthanc-python (4.1+ds-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:44:37 +0100

orthanc-python (4.1+ds-2) unstable; urgency=medium

  * Team Upload.
  [ Oyindamola Olatunji ]
  * Attempt to add autopkgtest

  [ Nilesh Patra ]
  * Get autopkgtests working
  * Bump debhelper compatibility level to 13
  * Bump d/watch version to 4

 -- Nilesh Patra <nilesh@debian.org>  Wed, 08 Nov 2023 02:45:57 +0530

orthanc-python (4.1+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 30 Aug 2023 15:39:16 +0200
