=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: orthanc-python
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libboost-all-dev,
                libjsoncpp-dev,
                liborthancframework-dev,
                libpython3-dev,
+               orthanc-dev,
                python3-dev,
                pkg-config,
                unzip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-python
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-python.git
 Homepage: https://book.orthanc-server.com/plugins/python.html
