=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
https://www.orthanc-server.com/browse.php?path=/plugin-python downloads/get\.php\?path=/plugin-python/OrthancPython-(\d\S*)\.tar\.gz
