## orthanc-python 4.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,37 @@
+# SPDX-FileCopyrightText: 2020-2023 Osimis S.A., 2024-2024 Orthanc Team SRL, 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
+##
+## Python plugin for Orthanc
+## Copyright (C) 2020-2023 Osimis S.A., Belgium
+## Copyright (C) 2024-2024 Orthanc Team SRL, Belgium
+## Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+##
+## This program is free software: you can redistribute it and/or
+## modify it under the terms of the GNU Affero General Public License
+## as published by the Free Software Foundation, either version 3 of
+## the License, or (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful, but
+## WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+## Affero General Public License for more details.
+##
+## You should have received a copy of the GNU Affero General Public License
+## along with this program. If not, see <http://www.gnu.org/licenses/>.
+##
+
+
 cmake_minimum_required(VERSION 2.8)
 project(OrthancPython)
 
-set(PLUGIN_VERSION "4.1")
+set(PLUGIN_VERSION "4.3")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.1")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.4")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -184,6 +208,7 @@
   Sources/PythonModule.cpp
   Sources/PythonObject.cpp
   Sources/PythonString.cpp
+  Sources/PythonThreadsAllower.cpp
   Sources/ReceivedInstanceCallback.cpp
   Sources/RestCallbacks.cpp
   Sources/StorageArea.cpp
@@ -196,17 +221,36 @@
   ${WINDOWS_RESOURCES}
   )
 
+if (CMAKE_COMPILER_IS_GNUCXX)
+  # Don't report warnings about deprecated functions in the Orthanc SDK
+  set_source_files_properties(
+    Sources/Autogenerated/sdk.cpp
+    PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
+endif()
+
 target_link_libraries(OrthancPython ${PYTHON_LIBRARIES})
 
-add_definitions(-DPLUGIN_VERSION="${PLUGIN_VERSION}")
+add_definitions(
+  -DPLUGIN_NAME="python"
+  -DPLUGIN_VERSION="${PLUGIN_VERSION}"
+  )
 
 set_target_properties(OrthancPython PROPERTIES 
   VERSION ${PLUGIN_VERSION} 
   SOVERSION ${PLUGIN_VERSION}
   )
+
+configure_file(
+  Sources/Autogenerated/orthanc.pyi
+  ${CMAKE_CURRENT_BINARY_DIR}/orthanc.pyi
+  COPYONLY)
 
 install(
   TARGETS OrthancPython
   RUNTIME DESTINATION lib    # Destination for Windows
   LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
   )
+
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancPython)
+endif()
