=== debian/changelog ===
orthanc-python (4.3+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 04 Jul 2024 10:09:37 +0200

orthanc-python (4.2+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 22 May 2024 18:28:22 +0200

orthanc-python (4.1+ds-3) unstable; urgency=medium

  * autopkgtest: Fix the waiting for Orthanc to start. Closes: #1062404

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 30 Mar 2024 14:06:27 +0100
