=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc-python
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
@@ -12,12 +11,12 @@
                libpython3-dev,
                orthanc-dev,
                python3-dev,
-               pkg-config,
+               pkgconf,
                unzip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-python
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-python.git
-Homepage: https://book.orthanc-server.com/plugins/python.html
+Homepage: https://orthanc.uclouvain.be/book/plugins/python.html
 Rules-Requires-Root: no
 
 Package: orthanc-python
