=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3, orthanc, curl, libcurl4, orthanc-python, procps
Restrictions: needs-sudo, allow-stderr, isolation-container
