## orthanc-python 5.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                debhelper-compat (= 13),
                libboost-all-dev,
                libjsoncpp-dev,
-               liborthancframework-dev,
+               liborthancframework-dev (>= 1.12.7+dfsg-3),
                libpython3-dev,
                orthanc-dev,
                python3-dev,
                pkgconf,
                unzip
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-python
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-python.git
 Homepage: https://orthanc.uclouvain.be/book/plugins/python.html
@@ -23,7 +23,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.10.0+dfsg-1)
+         orthanc (>= 1.12.7+dfsg-3)
 Built-Using: ${orthancframework:Built-Using}
 Suggests: python3
 Description: Develop plugins for Orthanc using the Python programming language
