## orthanc-python 5.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# SPDX-FileCopyrightText: 2020-2023 Osimis S.A., 2024-2024 Orthanc Team SRL, 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain
+# SPDX-FileCopyrightText: 2020-2023 Osimis S.A., 2024-2025 Orthanc Team SRL, 2021-2025 Sebastien Jodogne, ICTEAM UCLouvain
 # SPDX-License-Identifier: AGPL-3.0-or-later
 
 ##
 ## Python plugin for Orthanc
 ## Copyright (C) 2020-2023 Osimis S.A., Belgium
-## Copyright (C) 2024-2024 Orthanc Team SRL, Belgium
-## Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+## Copyright (C) 2024-2025 Orthanc Team SRL, Belgium
+## Copyright (C) 2021-2025 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 ##
 ## This program is free software: you can redistribute it and/or
 ## modify it under the terms of the GNU Affero General Public License
@@ -25,15 +25,17 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancPython)
 
-set(PLUGIN_VERSION "4.3")
+set(PLUGIN_VERSION "5.0")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.4")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.6")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
+
+include(${CMAKE_SOURCE_DIR}/OrthancSDKVersion.cmake)
 
 
 if (NOT ${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
@@ -181,7 +183,7 @@
     )
 else()
   include_directories(
-    ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.10.0
+    ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-${ORTHANC_SDK_VERSION}
     )
 endif()
