=== debian/changelog ===
orthanc-python (5.0+ds-3) unstable; urgency=medium

  * Team upload.

  [ jodogne-guest ]
  * making d/tests/run-unit-test more strict

  [ Étienne Mollier ]
  * d/control: depend on orthanc >= 1.12.7+dfsg-3.
    The orthanc version needs to be new enough to have built against a
    dcmtk version that reverted versioned dcmtk data directory.
  * d/t/run-unit-test: do not fail on pkill attempts.

 -- Étienne Mollier <emollier@debian.org>  Wed, 23 Apr 2025 22:05:50 +0200

orthanc-python (5.0+ds-2) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Drop unused, and old runtime dependency for test
    against libcurl4 (now renamed in libcurlt64)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Feb 2025 10:18:34 +0100

orthanc-python (5.0+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 24 Feb 2025 18:14:18 +0100
