=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,16 @@
         -DDEB_VERSION=$(DEB_VERSION) \
         -DPYTHON_VERSION=$(PYTHON_VERSION) \
         -DORTHANC_FRAMEWORK_SOURCE=system \
+        "-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_regex boost_thread jsoncpp" \
         -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
+
+
+# Automated generation of the "Built-Using" attribute in "d/control"
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989128
+# Adapted from:
+# https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
 
 override_dh_auto_configure:
 	mkdir Build
