=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//g,repack,compression=xz" \
https://orthanc.uclouvain.be/downloads/sources/orthanc-python/index.html OrthancPython-(\d\S*)\.tar\.gz
