## orthanc-python 6.0%2Bds

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3, orthanc, curl, orthanc-python, procps
Restrictions: needs-sudo, allow-stderr, isolation-container
