## orthanc-python 6.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,22 +25,29 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancPython)
 
-set(PLUGIN_VERSION "5.0")
+set(PLUGIN_VERSION "6.0")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.6")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.9")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
-include(${CMAKE_SOURCE_DIR}/OrthancSDKVersion.cmake)
-
+set(ORTHANC_SDK_DEFAULT_VERSION "1.12.9")
+
+# This list must correspond to the content of "./Resources/SyncOrthancFolder.py"
+set(ORTHANC_SDK_AVAILABLE_VERSIONS "1.7.2" "1.10.0" "1.12.6" "1.12.9")
+
+
+#####################################################################
+## Parameters of the build
+#####################################################################
 
 if (NOT ${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
   # The Python version cannot be controlled on OS X (yet)
-  set(PYTHON_VERSION "3.6" CACHE STRING "Version of Python to be used")
+  set(PYTHON_VERSION "3.13" CACHE STRING "Version of Python to be used")
 endif()
 
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
@@ -50,23 +57,32 @@
   set(PYTHON_WINDOWS_USE_RELEASE_LIBS ON CACHE BOOL "Use the release Python libraries when building with Microsoft Visual Studio, even when compiling in _DEBUG mode (set it to OFF if you require linking to a Python debug build)")
 endif()
 
-
-
-# Parameters of the build
+# Generic parameters
 set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
 set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
 set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc framework (can be \"system\", \"hg\", \"archive\", \"web\" or \"path\")")
 set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_FRAMEWORK_DEFAULT_VERSION}" CACHE STRING "Version of the Orthanc framework")
 set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
 set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")
-set(USE_FRAMEWORK_ORTHANC_SDK OFF CACHE BOOL "Whether to use the SDK from the Orthanc sources (for developers only, to support new features of the SDK that are still pending in the mainline)")
 
 # Advanced parameters to fine-tune linking against system libraries
-set(ORTHANC_FRAMEWORK_STATIC OFF CACHE BOOL "If linking against the Orthanc framework system library, indicates whether this library was statically linked")
-mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)
-
-
-# Download and setup the Orthanc framework
+set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system-wide version of the Orthanc plugin SDK")
+
+# Generate the documentation about the "ORTHANC_SDK_VERSION" option
+set(tmp "Version of the Orthanc plugin SDK to use, if not using the system version (can be")
+foreach(version IN LISTS ORTHANC_SDK_AVAILABLE_VERSIONS)
+  set(tmp "${tmp} ${version},")
+endforeach()
+set(tmp "${tmp} \"framework\", or \"path\")")
+
+set(ORTHANC_SDK_VERSION "${ORTHANC_SDK_DEFAULT_VERSION}" CACHE STRING "${tmp}")
+set(ORTHANC_SDK_PATH "" CACHE STRING "Path to the orthanc/OrthancCPlugin.h file, if ORTHANC_SDK_VERSION is set to \"path\"")
+
+
+#####################################################################
+## Download and setup the Orthanc framework
+#####################################################################
+
 include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)
 
 if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
@@ -81,11 +97,11 @@
 
 else()
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkParameters.cmake)
-  
-  #set(ENABLE_MODULE_IMAGES OFF CACHE INTERNAL "")
-  #set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
-  #set(ENABLE_MODULE_DICOM OFF CACHE INTERNAL "")
-  
+
+  set(ENABLE_MODULE_IMAGES OFF CACHE INTERNAL "")
+  set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
+  set(ENABLE_MODULE_DICOM OFF CACHE INTERNAL "")
+
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
   include_directories(${ORTHANC_FRAMEWORK_ROOT})
 endif()
@@ -93,12 +109,23 @@
 
 include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginsExports.cmake)
 
+
+#####################################################################
+## Configure the Python library
+#####################################################################
 
 include(CheckIncludeFile)
 include(CheckIncludeFileCXX)
 include(CheckIncludeFiles)
 include(CheckLibraryExists)
-include(FindPythonInterp)
+
+if(CMAKE_VERSION VERSION_GREATER "3.11")
+  find_package(Python REQUIRED COMPONENTS Interpreter)
+  set(PYTHON_EXECUTABLE ${Python_EXECUTABLE})
+else()
+  include(FindPythonInterp)
+  find_package(PythonInterp REQUIRED)
+endif()
 
 
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
@@ -159,7 +186,9 @@
       message(FATAL_ERROR "Error while computing the version information: ${Failure}")
     endif()
 
-    set(WINDOWS_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/Version.rc)
+    list(APPEND AUTOGENERATED_SOURCES
+      ${CMAKE_CURRENT_BINARY_DIR}/Version.rc
+      )
 
   else()
     find_package(PkgConfig REQUIRED)
@@ -177,26 +206,103 @@
 endif()
 
 
-if (USE_FRAMEWORK_ORTHANC_SDK)
-  include_directories(
-    ${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include
+#####################################################################
+## Find the Orthanc SDK
+#####################################################################
+
+if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
+  if (ORTHANC_SDK_VERSION STREQUAL "framework")
+    include_directories(${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include)
+    set(ORTHANC_SDK ${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include/orthanc/OrthancCPlugin.h)
+
+  elseif (ORTHANC_SDK_VERSION STREQUAL "path")
+    include_directories(${ORTHANC_SDK_PATH})
+    set(ORTHANC_SDK ${ORTHANC_SDK_PATH}/orthanc/OrthancCPlugin.h)
+
+  else()
+    list(FIND ORTHANC_SDK_AVAILABLE_VERSIONS ${ORTHANC_SDK_VERSION} tmp)
+    if (tmp EQUAL -1)
+      message(FATAL_ERROR "The source distribution of this plugin does not contain Orthanc SDK ${ORTHANC_SDK_VERSION}")
+    endif()
+
+    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-${ORTHANC_SDK_VERSION})
+    set(ORTHANC_SDK ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-${ORTHANC_SDK_VERSION}/orthanc/OrthancCPlugin.h)
+  endif()
+
+else()
+  find_path(ORTHANC_SDK_SYSTEM_DIR OrthancCPlugin.h
+    /usr/
+    /usr/local/
+    PATH_SUFFIXES include/orthanc
     )
-else()
-  include_directories(
-    ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-${ORTHANC_SDK_VERSION}
-    )
-endif()
+
+  if (${ORTHANC_SDK_SYSTEM_DIR} STREQUAL "ORTHANC_SDK_SYSTEM_DIR-NOTFOUND")
+    message(FATAL_ERROR "Cannot locate the orthanc/OrthancCPlugin.h header")
+  endif()
+
+  set(ORTHANC_SDK ${ORTHANC_SDK_SYSTEM_DIR}/OrthancCPlugin.h)
+endif()
+
+
+#####################################################################
+## Auto-generate the wrapper
+#####################################################################
+
+set(ORTHANC_CODE_MODEL ${CMAKE_SOURCE_DIR}/Resources/Orthanc/OrthancPluginCodeModel.json)
+
+add_custom_command(
+  OUTPUT
+  ${CMAKE_CURRENT_BINARY_DIR}/orthanc.pyi
+  ${AUTOGENERATED_DIR}/sdk/sdk.cpp
+  ${AUTOGENERATED_DIR}/sdk/sdk.h
+
+  COMMAND
+  ${PYTHON_EXECUTABLE}
+  ${CMAKE_SOURCE_DIR}/CodeAnalysis/GenerateOrthancSDK.py
+  --sdk ${ORTHANC_SDK}
+  --model ${ORTHANC_CODE_MODEL}
+  --target ${AUTOGENERATED_DIR}/sdk/
+
+  COMMAND
+  ${CMAKE_COMMAND} -E copy
+  ${AUTOGENERATED_DIR}/sdk/orthanc.pyi
+  ${CMAKE_CURRENT_BINARY_DIR}/orthanc.pyi
+
+  DEPENDS
+  ${CMAKE_SOURCE_DIR}/CodeAnalysis/
+  ${ORTHANC_SDK}
+  ${ORTHANC_CODE_MODEL}
+  )
+
+list(APPEND AUTOGENERATED_SOURCES
+  ${AUTOGENERATED_DIR}/sdk/sdk.cpp
+  )
+
+add_custom_target(
+  AutogeneratedTarget
+  DEPENDS
+  ${AUTOGENERATED_SOURCES}
+  )
+
+
+
+#####################################################################
+## Build the plugin
+#####################################################################
 
 add_definitions(
   -DHAS_ORTHANC_EXCEPTION=0
   )
 
 include_directories(
+  ${AUTOGENERATED_DIR}/sdk/
+  ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/
+  ${CMAKE_SOURCE_DIR}/Sources/
   ${PYTHON_INCLUDE_DIRS}
   )
 
 add_library(OrthancPython SHARED
-  Sources/Autogenerated/sdk.cpp
+  ${AUTOGENERATED_SOURCES}
   Sources/DicomScpCallbacks.cpp
   Sources/ICallbackRegistration.cpp
   Sources/IncomingHttpRequestFilter.cpp
@@ -220,39 +326,19 @@
   ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginCppWrapper.cpp
   ${BOOST_SOURCES}
   ${JSONCPP_SOURCES}
-  ${WINDOWS_RESOURCES}
-  )
-
-if (CMAKE_COMPILER_IS_GNUCXX)
+  )
+
+if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR
+    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
   # Don't report warnings about deprecated functions in the Orthanc SDK
   set_source_files_properties(
-    Sources/Autogenerated/sdk.cpp
-    PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)
-endif()
-
-target_link_libraries(OrthancPython ${PYTHON_LIBRARIES})
-
-add_definitions(
-  -DPLUGIN_NAME="python"
-  -DPLUGIN_VERSION="${PLUGIN_VERSION}"
-  )
-
-set_target_properties(OrthancPython PROPERTIES 
-  VERSION ${PLUGIN_VERSION} 
-  SOVERSION ${PLUGIN_VERSION}
-  )
-
-configure_file(
-  Sources/Autogenerated/orthanc.pyi
-  ${CMAKE_CURRENT_BINARY_DIR}/orthanc.pyi
-  COPYONLY)
-
-install(
-  TARGETS OrthancPython
-  RUNTIME DESTINATION lib    # Destination for Windows
-  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
-  )
+    ${AUTOGENERATED_DIR}/sdk/sdk.cpp
+    COMPILE_FLAGS -Wno-deprecated-declarations)
+endif()
 
 if (COMMAND DefineSourceBasenameForTarget)
   DefineSourceBasenameForTarget(OrthancPython)
 endif()
+
+add_dependencies(OrthancPython AutogeneratedTarget)
+
