=== debian/changelog ===
orthanc-python (6.0+ds-2) unstable; urgency=medium

  * Fix FTBFS with recent versions of CMake. Closes: #1113376

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 14:33:50 +0200

orthanc-python (6.0+ds-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Aug 2025 16:51:39 +0200
