=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
                debhelper-compat (= 13),
                libboost-all-dev,
                libjsoncpp-dev,
-               liborthancframework-dev (>= 1.12.7+dfsg-3),
+               liborthancframework-dev (>= 1.12.9),
                libpython3-dev,
                orthanc-dev,
                python3-dev,
+               python3-pystache,
                pkgconf,
                unzip
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-python
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-python.git
 Homepage: https://orthanc.uclouvain.be/book/plugins/python.html
@@ -23,7 +24,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.12.7+dfsg-3)
+         ${orthanc:Minimal-Version}
 Built-Using: ${orthancframework:Built-Using}
 Suggests: python3
 Description: Develop plugins for Orthanc using the Python programming language
