=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,9 @@
 # Adapted from:
 # https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
 override_dh_gencontrol:
-	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
+	dh_gencontrol -- \
+		-Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)" \
+		-Vorthanc:Minimal-Version="$(shell dpkg-query -f '$${source:Package} (>= $${source:Version}), ' -W orthanc-dev)"
 
 override_dh_auto_configure:
 	mkdir Build
